View Issue Details

IDProjectCategoryView StatusLast Update
0025460LazarusPackagespublic2013-12-31 21:09
ReporterMark Morgan LloydAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86, SPARCOSLinux (Debian)OS VersionSqueeze, Lenny
Product VersionProduct Build 
Target VersionFixed in Version1.4 
Summary0025460: on x86 and others, trunk FPC fails to build trunk Lazarus (linking cairo-gobject)
DescriptionAn attempt to build trunk Lazarus (r43599) using trunk FPC (1.7.1, r26290) using default parameters (i.e. not bigide etc.) fails as below.
Additional Information...
Compiling resource ../units/i386-linux/gtk2/lazarus.or
Linking ../lazarus
/usr/bin/ld: warning: ../link.res contains output sections; did you forget -T?
/usr/bin/ld: cannot find -lcairo-gobject
lazarus.pp(142,1) Error: Error while linking
lazarus.pp(142,1) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
make[2]: *** [lazarus] Error 1
make[2]: Leaving directory `/usr/local/share/lazarus-trunk/ide'
make[1]: *** [ide] Error 2
make[1]: Leaving directory `/usr/local/share/lazarus-trunk/ide'
make: *** [ide] Error 2
TagsNo tags attached.
Fixed in Revision43622
LazTarget-
Widgetset
Attached Files

Relationships

related to 0025191 closedMarco van de Voort FPC [Patch] Cairo package fails to link 

Activities

Mark Morgan Lloyd

2013-12-27 18:07

reporter   ~0072065

Description should obviously refer to FPC 2.7.1, not 1.7.1.

Marco has previously said

> that should have been fixed in r26213. Only if you use
> cairogobject there should be that link.

Marco van de Voort

2013-12-28 14:01

manager   ~0072073

Updated description and category. I can't see any reason for this in source (cairo-gobject is the only to linklib to cairo-gobject), must wait till I'm on a linux machine.

Check for stale ppu's etc.

Mark Morgan Lloyd

2013-12-28 14:58

reporter   ~0072074

Last edited: 2013-12-28 16:11

View 2 revisions

Plan of campaign:

* Wipe 2.7.1 sources and binary/libraries. Wipe Lazarus trunk.
* Use 2.6.2 to rebuild 2.6.2, and install, should overwrite residual binaries.
* Get 2.7.1 from SVN, and build/install.
* Get Lazarus trunk from SVN, and attempt build.

And the result is... [somewhat later] still got the problem as described.

Cyrax

2013-12-29 02:21

reporter   ~0072081

Do you have libcairo-gobject development etc. packages installed?

Mark Morgan Lloyd

2013-12-29 08:01

reporter   ~0072082

No, it doesn't exist on Debian "Squeeze" or older.

Mark Morgan Lloyd

2013-12-30 10:48

reporter   ~0072101

Last edited: 2013-12-30 11:15

View 2 revisions

In lcl/interfaces/gtk2/interfaces.pas there's

{$IF defined(Linux) and (FPC_FULLVERSION>=20701)}
  {$LinkLib cairo-gobject}
{$ENDIF}

which makes no attempt to determine whether it's actually available on the platform.

On x86 and SPARC, compilation and basic operation with this commented out appears OK.

Marco van de Voort

2013-12-30 14:00

manager   ~0072108

Moved to Lazarus. Probably a workaround for the earlier FPC problems that can be cleaned out now.

Maxim Ganetsky

2013-12-31 00:28

developer   ~0072120

@Mark

Does it build if you comment this out?

Mark Morgan Lloyd

2013-12-31 01:19

reporter   ~0072121

Yes, I think it's OK on x86 and SPARC. Not checked on PPC yet.

Maxim Ganetsky

2013-12-31 17:19

developer   ~0072142

I removed this directive. Please test and close if OK.

Mark Morgan Lloyd

2013-12-31 21:09

reporter   ~0072146

Tests OK on PPC Linux (Debian "Lenny").

Issue History

Date Modified Username Field Change
2013-12-27 14:47 Mark Morgan Lloyd New Issue
2013-12-27 18:07 Mark Morgan Lloyd Note Added: 0072065
2013-12-28 14:01 Marco van de Voort Note Added: 0072073
2013-12-28 14:01 Marco van de Voort Category Compiler => Packages
2013-12-28 14:01 Marco van de Voort Summary on x86 and others, trunk FPC fails to build trunk Lazarus => on x86 and others, trunk FPC fails to build trunk Lazarus (linking cairo-gobject)
2013-12-28 14:58 Mark Morgan Lloyd Note Added: 0072074
2013-12-28 16:11 Mark Morgan Lloyd Note Edited: 0072074 View Revisions
2013-12-29 02:21 Cyrax Note Added: 0072081
2013-12-29 08:01 Mark Morgan Lloyd Note Added: 0072082
2013-12-30 10:48 Mark Morgan Lloyd Note Added: 0072101
2013-12-30 11:15 Mark Morgan Lloyd Note Edited: 0072101 View Revisions
2013-12-30 13:58 Marco van de Voort Project FPC => Lazarus
2013-12-30 14:00 Marco van de Voort Note Added: 0072108
2013-12-31 00:28 Maxim Ganetsky LazTarget => -
2013-12-31 00:28 Maxim Ganetsky Note Added: 0072120
2013-12-31 00:28 Maxim Ganetsky Status new => feedback
2013-12-31 01:19 Mark Morgan Lloyd Note Added: 0072121
2013-12-31 01:19 Mark Morgan Lloyd Status feedback => new
2013-12-31 17:11 Maxim Ganetsky Relationship added related to 0025191
2013-12-31 17:19 Maxim Ganetsky Fixed in Revision => 43622
2013-12-31 17:19 Maxim Ganetsky Note Added: 0072142
2013-12-31 17:19 Maxim Ganetsky Status new => resolved
2013-12-31 17:19 Maxim Ganetsky Fixed in Version => 1.4
2013-12-31 17:19 Maxim Ganetsky Resolution open => fixed
2013-12-31 17:19 Maxim Ganetsky Assigned To => Maxim Ganetsky
2013-12-31 21:09 Mark Morgan Lloyd Note Added: 0072146
2013-12-31 21:09 Mark Morgan Lloyd Status resolved => closed